Bug 856960 - abrt should not log the uploader plugin credentials
Summary: abrt should not log the uploader plugin credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: abrt
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-13 08:47 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:55 UTC (History)
6 users (show)

Fixed In Version: libreport-2.0.9-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:54:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0290 normal SHIPPED_LIVE abrt, libreport and btparser bug fix and enhancement update 2013-02-20 20:55:47 UTC

Description Jiri Moskovcak 2012-09-13 08:47:54 UTC
Description of problem:

When abrt on RHEL6.3 (with abrt-addon-vmcore + kdump installed) copies a kernel 
core to a centralised server it dumps the following info in clear text into /var/log/messages:

                                 #   #   #
Sep 12 14:47:02 ipa abrtd: Successfully sent /tmp/abrt-upload-2012-09-11-14:46:28-2528.tar.gz to scp://root:password@192.168.0.1/var/spool/abrt-upload/vmcore-ipa.redhat.local.tar.gz

- I believe we can strip the part before '@' and print only the path

Comment 6 Jiri Moskovcak 2013-01-24 15:45:41 UTC
Cause
    The logging message contained a login and password
Consequence
    The login and password used for uploading reports to ftp were visible in syslog
Fix
    Don't print the login/password in log messages
Result
    Login and password is not visible in syslog

Comment 7 errata-xmlrpc 2013-02-21 07:54:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0290.html


Note You need to log in before you can comment on or make changes to this bug.